pixelink.h File Reference

No docs yet. More...

`#include <dc1394/log.h>`
`#include <dc1394/types.h>`

## Data Structures

struct | __dc1394_pxl_gpio_info_struct
struct | __dc1394_pxl_camera_info_struct
struct | __dc1394_pxl_adv_feature_info_struct

## Typedefs

typedef struct __dc1394_pxl_gpio_info_struct | dc1394_pxl_gpio_info_t
typedef struct __dc1394_pxl_camera_info_struct | dc1394_pxl_camera_info_t
typedef struct __dc1394_pxl_adv_feature_info_struct | dc1394_pxl_adv_feature_info_t

## Enumerations

enum | dc1394pxl_gpio_polarity_t
enum | dc1394pxl_gpio_mode_t

## Functions

dc1394error_t | dc1394_pxl_convert_float32_to_quadlet (double, uint32_t *)
dc1394error_t | dc1394_pxl_convert_uint32_to_float32 (uint32_t, double *)
dc1394error_t | dc1394_pxl_get_camera_name (dc1394camera_t *, char *, uint32_t)
dc1394error_t | dc1394_pxl_get_camera_info (dc1394camera_t *, dc1394_pxl_camera_info_t *)
dc1394error_t | dc1394_pxl_get_camera_serial_number (dc1394camera_t *, uint32_t *)
dc1394error_t | dc1394_pxl_get_gpo_param (dc1394camera_t *, uint32_t, uint32_t *, uint32_t *, uint32_t *)
dc1394error_t | dc1394_pxl_get_gpo_param_min_max (dc1394camera_t *, uint32_t, uint32_t *, uint32_t *, uint32_t *, uint32_t *, uint32_t *, uint32_t *, uint32_t *, uint32_t *, uint32_t *)
dc1394error_t | dc1394_pxl_get_gpo_config (dc1394camera_t *, uint32_t, uint32_t *)
dc1394error_t | dc1394_pxl_set_gpo_config (dc1394camera_t *, uint32_t, uint32_t)
dc1394error_t | dc1394_pxl_set_gpio_mode_param (dc1394camera_t *, uint32_t, dc1394pxl_gpio_polarity_t, dc1394pxl_gpio_mode_t, double, double, double)
dc1394error_t | dc1394_pxl_print_camera_info (dc1394camera_t *, FILE *fd)

## Detailed Description

No docs yet.

More details soon

## Typedef Documentation

## dc1394_pxl_adv_feature_info_t

typedef struct __dc1394_pxl_adv_feature_info_struct dc1394_pxl_adv_feature_info_t

Advanced feature inquiry

## dc1394_pxl_camera_info_t

typedef struct __dc1394_pxl_camera_info_struct dc1394_pxl_camera_info_t

Camera information

## dc1394_pxl_gpio_info_t

typedef struct __dc1394_pxl_gpio_info_struct dc1394_pxl_gpio_info_t

GPIO Information structure

## Enumeration Type Documentation

## dc1394pxl_gpio_mode_t

enum dc1394pxl_gpio_mode_t

No Docs

## dc1394pxl_gpio_polarity_t

enum dc1394pxl_gpio_polarity_t

No Docs

## Function Documentation

## dc1394_pxl_convert_float32_to_quadlet()

dc1394error_t dc1394_pxl_convert_float32_to_quadlet | ( | double | ,
|  | uint32_t * |
| ) |  |

No Docs

## dc1394_pxl_convert_uint32_to_float32()

dc1394error_t dc1394_pxl_convert_uint32_to_float32 | ( | uint32_t | ,
|  | double * |
| ) |  |

No Docs

## dc1394_pxl_get_camera_info()

dc1394error_t dc1394_pxl_get_camera_info | ( | dc1394camera_t * | ,
|  | dc1394_pxl_camera_info_t * |
| ) |  |

No Docs

## dc1394_pxl_get_camera_name()

dc1394error_t dc1394_pxl_get_camera_name | ( | dc1394camera_t * | ,
|  | char * | ,
|  | uint32_t |
| ) |  |

No Docs

## dc1394_pxl_get_camera_serial_number()

dc1394error_t dc1394_pxl_get_camera_serial_number | ( | dc1394camera_t * | ,
|  | uint32_t * |
| ) |  |

No Docs

## dc1394_pxl_get_gpo_config()

dc1394error_t dc1394_pxl_get_gpo_config | ( | dc1394camera_t * | ,
|  | uint32_t | ,
|  | uint32_t * |
| ) |  |

No Docs

## dc1394_pxl_get_gpo_param()

dc1394error_t dc1394_pxl_get_gpo_param | ( | dc1394camera_t * | ,
|  | uint32_t | ,
|  | uint32_t * | ,
|  | uint32_t * | ,
|  | uint32_t * |
| ) |  |

No Docs

## dc1394_pxl_get_gpo_param_min_max()

dc1394error_t dc1394_pxl_get_gpo_param_min_max | ( | dc1394camera_t * | ,
|  | uint32_t | ,
|  | uint32_t * | ,
|  | uint32_t * | ,
|  | uint32_t * | ,
|  | uint32_t * | ,
|  | uint32_t * | ,
|  | uint32_t * | ,
|  | uint32_t * | ,
|  | uint32_t * | ,
|  | uint32_t * |
| ) |  |

No Docs

## dc1394_pxl_print_camera_info()

dc1394error_t dc1394_pxl_print_camera_info | ( | dc1394camera_t * | ,
|  | FILE * | fd
| ) |  |

No Docs

## dc1394_pxl_set_gpio_mode_param()

dc1394error_t dc1394_pxl_set_gpio_mode_param | ( | dc1394camera_t * | ,
|  | uint32_t | ,
|  | dc1394pxl_gpio_polarity_t | ,
|  | dc1394pxl_gpio_mode_t | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |

No Docs

## dc1394_pxl_set_gpo_config()

dc1394error_t dc1394_pxl_set_gpo_config | ( | dc1394camera_t * | ,
|  | uint32_t | ,
|  | uint32_t |
| ) |  |

No Docs